Flex SDK: Add german locale support

I have faced the following problem while trying to build my flex application under German locale:

D:\app\flex_sdk_3.5\frameworks\flex-config.xml(75): Error: unable to open ‘locale/de_DE’

Or another one:

Error: Unable to resolve resource bundle “containers” for locale “de_DE”.
Error: Unable to resolve resource bundle “validators” for locale “de_DE”.
Error: Unable to resolve resource bundle “styles” for locale “de_DE”.
Error: Unable to resolve resource bundle “states” for locale “de_DE”.

After a while I have discovere that the source of problem is the fact that flex sdk 3.5 supports en_US and ja_JP locales by default only. To ad German locale support you have to run

copylocale en_US de_DE

in flex sdk bin dir.

Advertisements

About andrewosipenko

Java dev. Groovy dev. Grails dev. Project man.
This entry was posted in Flex, IT. Bookmark the permalink.

One Response to Flex SDK: Add german locale support

  1. Youu will find that this is juyst the tip of the iceberg when it comes to Appsbidder, but this is a good place to start.
    This app has somje great potential, and with a ffew updates,
    crazy texts plugins such as this oone will be the texting standard.
    You’ve got a password for your online banking, Digg, Facebook, Twitter, E-mail, My – Space,
    and if you’re like me, dozens of other internet sites.

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s